
package de.ivu.elect.presentation.veranstaltung.action;

import javax.inject.Named;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.business.veranstaltung.entity.TeilnahmeConstants;
import de.ivu.elect.business.veranstaltung.entity.Veranstaltung;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;
import de.ivu.elect.presentation.veranstaltung.TeilnahmeSearchView;

@Named(VeranstaltungTeilnehmerAnzeigenAction.COMPONENT_NAME)
public class VeranstaltungTeilnehmerAnzeigenAction extends AbstractVeranstaltungAction {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "veranstaltungTeilnehmerAnzeigenAction";

  public VeranstaltungTeilnehmerAnzeigenAction() {
    super();
  }

  @Override
  protected UseCasePermission getRequiredPermission() {
    return UseCasePermission.TEILNAHME_SEARCH;
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return getEinsehenGebietSecurity();
  }

  @Override
  protected String doIt(Veranstaltung entity) {
    conversationSelect.setEntity(entity);

    return TeilnahmeSearchView.VIEW_ID;
  }

  @Override
  protected String getLocalizedLabel() {
    return getMessage(getLabelKey(), getMessage(TeilnahmeConstants.MESSAGE_KEY_PERSONENDATEN_ID_MEHRZAHL));
  }

  @Override
  public String getLabelKey() {
    return "entity.search.menu.item.label";
  }

  @Override
  public String getIcon() {
    return appIcons.getIconPerson();
  }
}
